List Account Lists
List the account lists in the workspace.
Requires the account_lists:read scope on the API key.
GET
/
v1
/
account-lists
List Account Lists
curl --request GET \
--url https://api.topo.io/v1/account-lists \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/account-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/account-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"entries_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Page number.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Field to sort by.
Available options:
created_at, updated_at, name Sort direction.
Available options:
asc, desc Filter by list name (exact match).
Return lists created strictly before this timestamp.
Return lists created strictly after this timestamp.
Response
200 - application/json
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
⌘I
List Account Lists
curl --request GET \
--url https://api.topo.io/v1/account-lists \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/account-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/account-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"entries_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}